Subject: RE: [Ietf-behave] FW: I-D ACTION:draft-ietf-behave-nat-udp-02.txt

From: Pyda Srisuresh <[email-masked]>
Date: Tue, 12 Jul 2005 06:49:01 -0700 (PDT)

--- Dave Hudson <dhudson@xxxxxxxxxx> wrote:

> * -----Original Message-----
> * From: ietf-behave-bounces@xxxxxxxxxxxxxxxxxxx 
> * [mailto:ietf-behave-bounces@xxxxxxxxxxxxxxxxxxx] On Behalf Of 
> * Saikat Guha
> * Sent: 11 July 2005 19:01
> * To: Pyda Srisuresh
> * Cc: ietf-behave@xxxxxxxxxxxxxxxxxxx
> * Subject: RE: [Ietf-behave] FW: I-D 
> * ACTION:draft-ietf-behave-nat-udp-02.txt
> * 
> * I do not agree. If the NAT has space to allocate new mappings 
> * and yet expires existing ones prematurely based on some 
> * arbitrary timer in anticipation of new connections that may 
> * or may not arrive, then the NAT is _wasting_ resources. In 
> * the extreme case, there is not reason why a single host 
> * behind a NAT (no other internal hosts) running a single 
> * application (no other network activity) has to ever send a 
> * 'keep-alive'.
> * I hate to use analogies, but what you propose is like having 
> * a coffee house throw someone out just because they have not 
> * been drinking coffee for 5 minutes even though the coffee 
> * house is empty. What I am suggesting is that they be thrown 
> * out only when the coffee house is full (or close to full) and 
> * there are customers waiting for a seat.
> 
> The problem here is a loss of determinism.  Some days your app will work
> and others it will fail because the NAT mapping is timed-out.
> Experience tells me that users will get incredibly frustrated by this as
> will OEM tech support staff.  Those same tech support staff and users
> will complain bitterly about flaky software and after lots of heated
> emails on the subject the NAT implementors will be asked to make things
> behave the same way under all circumstances.
> 
[suresh] Right. Well said. 

> I also suspect that most NAT impelementors won't appreciate this either
> because it will make regression testing very difficult too -
> implementing unit tests for anything potentially non-deterministic is
> much harder.
> 
> FWIW there's at least one commercial testsuite used by a lot of SOHO
> router manufacturers that current expects that sessions will timeout due
> to inactivity.
> 
[suresh] It makes sense because that is what NATs do.

cheers,
suresh

> Regards,
> Dave

---

From: Saikat Guha <[email-masked]>
Date: Tue, 12 Jul 2005 14:53:54 -0700 (PDT)

On Mon, 2005-07-11 at 12:16 -0700, Dave Hudson wrote:
> The problem here is a loss of determinism.

I agree, to some extent.

> router manufacturers that current expects that sessions will timeout due

Interesting. Could you point me to more about this testsuite. Thanks.

-- 
Saikat
Attachment:
signature.asc